Bug 13659 - Bugs in CTDB event handling
Bugs in CTDB event handling
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-18 04:19 UTC by Martin Schwenke
Modified: 2018-10-30 11:49 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.9 (8.18 KB, patch)
2018-10-24 05:32 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.8 (5.54 KB, patch)
2018-10-24 05:32 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-10-18 04:19:07 UTC
There are several issues:

* eventd leaks a pipe file descriptor into long-lived children,
  breaking ctdbd's ability to know if eventd goes away

* ctdbd goes into a broken state if eventd goes away

* There is a valgrind hit in packet construction

* When ctdbd says it is refusing to run an event during recovery,
  the event is run anyway
Comment 1 Martin Schwenke 2018-10-18 04:24:08 UTC
> * There is a valgrind hit in packet construction

This one only occurs in 4.9.

I believe the others are also present in 4.8.
Comment 2 Martin Schwenke 2018-10-24 05:32:20 UTC
Created attachment 14541 [details]
Patch for 4.9
Comment 3 Martin Schwenke 2018-10-24 05:32:41 UTC
Created attachment 14542 [details]
Patch for 4.8
Comment 4 Amitay Isaacs 2018-10-25 04:12:01 UTC
Hi Karolin,

This is ready for v4-9 and v4-8.

Thanks.
Comment 5 Karolin Seeger 2018-10-25 06:00:21 UTC
(In reply to Amitay Isaacs from comment #4)
Hi Amitay,

pushed to autobuild-v4-{8,9}-test.
Comment 6 Karolin Seeger 2018-10-30 11:49:56 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!